Call session management

This section contains call session management proto files.

call_session_manager_service.proto

CallSessionManager

Call Session Manager service API.

gRPC method definitions

gRPC method definitions
Method Name Request Type Response Type Description
MonitorCallSession MonitorCallSession
Request
MonitorCallSession
Response
stream
This server streaming method allows the client to subscribe and receive call session events raised by the server. Events can be related to CTI, biometric operations, or can be results of agent triggered actions.
ListCallSessions ListCallSessions
Request
ListCallSessions
Response
Retrieves agent ongoing calls’ information. The returned call session ID might be used as input to the SubmitAgentAction method.
SubmitAgentAction SubmitAgentAction
Request
SubmitAgentAction
Response
A unary method that allows Web Agent Console client to execute various manually triggered actions on the ongoing call session. The outcome of these actions, if any, propagates from the server via events on the MonitorCallSession method. Agent actions include updating person information, consent, manually authenticating the Person, restarting audio, and marking audio as suspicious. It is mandatory for clients to pass the call session ID to this method.

Methods with HTTP bindings

MonitorCallSession

  GET /v1/call-sessions/{call_session_id}:monitorCallSession  

ListCallSessions

  GET /v1/call-sessions  

SubmitAgentAction

  POST /v1/call-sessions/{call_session_id}:submitAgentAction  

AgentSessionInfo

Agent information message

AgentSessionInfo
Field Type Description
agent_subscription_id string Mandatory. The Media Manager subscription ID related to the agent session.
agent_session_id string Mandatory. The agent session ID, which serves as input to the stop agent session.
realm_id string Mandatory. The Media manager realm ID.

CallSessionInfo

Call session information message

CallSessionInfo
Field Type Description
call_session_id string Mandatory. The call session ID that can be used as input for SubmitAgentAction
start_call_cti_event nuance.biosec.v1.CtiEvent Mandatory. The start call CTI event.

ListCallSessionsRequest

Input message that defines parameters for ListCallSessions.

ListCallSessionsRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context. Only the Gatekeeper scope ID is a mandatory field in the context message.
One of agent_selector:  
Mandatory. Target call sessions are identified by either agent ID or agent extension.Regular clients having permissions for accessing this method are allowed only to requestthe call sessions they own. Additional permissions need to be configured for the calling principalto allow requesting any call sessions under the specified context (privileged operation).
   agent_id string Mandatory. The agent user name as it is used for the single sign-on.
   agent_extension string Mandatory. The agent extension used by the agent during the login to the Web Agent Console.

ListCallSessionsResponse

Output message that defines parameters returned by ListCallSessions.

ListCallSessionsResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.
agent_session_info AgentSessionInfo Mandatory. The agent information.
call_session_info repeated CallSessionInfo Repeated. On going calls associated to the agent.

MonitorCallSessionRequest

Input message that defines parameters for MonitorCallSession.

MonitorCallSessionRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
call_session_id string Mandatory. Global call session ID generated by the call session manager.

MonitorCallSessionResponse

Output message that defines parameters returned by MonitorCallSession. Each returned event is set to one of the event options.

MonitorCallSessionResponse
Field Type Description
One of call_session_event:  
Types of events.
   status nuance.rpc.Status General operation status.
   cti_event nuance.biosec.v1.CtiEvent CTI related events.
   process_audio_event ProcessAudioEvent Audio processing events.
   enroll_event EnrollEvent Voiceprint enrollment events.
   train_event TrainEvent Voiceprint training events.
   verify_event VerifyEvent Voiceprint verification events.
   known_fraudsters_detection_event KnownFraudstersDetectionEvent Fraudsters detection events.
   person_event PersonStatusEvent Provides person and voiceprint status details.
   restart_event RestartEvent The restart event. Typically used to restart a recording when a new person joins the call.
   detect_audio_spoofing_event DetectAudioSpoofingEvent Audio spoofing detection events.
   session_decision_event SessionDecisionEvent Risk-engine based session decision events.
   identify_event IdentifyEvent Voiceprint identification events.
   group_members_event GroupMembersEvent Provides information about the group members.
   person_manually_identified PersonManuallyIdentified A group member was manually identified as the current speaker by a source other than the agent.
   previous_session_result PreviousSessionResult Results of the previous session in the current engagement.
   display_message DisplayMessage A message that should be shown to the agent.
   update_agent_blocked_actions_event UpdateAgentBlockedActionsEvent Indicate to the WAC that certain actions should be disabled (or enabled back again). This event overrides any previous block actions list (including the list in display message event).
   process_text_event ProcessTextEvent Text processing events.
   enroll_convoprint_event EnrollConvoprintEvent Convoprint enrollment events.
   train_convoprint_event TrainConvoprintEvent Convoprint training events.
   verify_convoprint_event VerifyConvoprintEvent Convoprint verification events.
   known_fraudsters_detection_convoprint_event KnownFraudstersDetectionConvoprintEvent Convoprint fraudsters detection events.
   identify_convoprint_event IdentifyConvoprintEvent Convoprint identification events.
   process_audio_deviceprint_event ProcessAudioDeviceprintEvent Deviceprint audio processing events.
   enroll_deviceprint_event EnrollDeviceprintEvent Deviceprint enrollment events.
   train_deviceprint_event TrainDeviceprintEvent Deviceprint training events.
   verify_deviceprint_event VerifyDeviceprintEvent Deviceprint verification events.
   known_fraudsters_detection_deviceprint_event KnownFraudstersDetectionDeviceprintEvent Deviceprint fraudsters detection events.
   after_call_work_mode_start_event AfterCallWorkModeStartEvent After-Call Work Mode start event.
   after_call_work_mode_end_event AfterCallWorkModeEndEvent After-Call Work Mode end event.

SubmitAgentActionRequest

Input message that defines parameters for SubmitAgentAction.

SubmitAgentActionRequest
Field Type Description
context nuance.biosec.v1.Context Mandatory. General request context.
call_session_id string Mandatory. Global call session ID identifies the call session that the action applies to.
One of agent_action:  
The action triggered by the agent.
   update_person_information UpdatePersonInformation Agent submits the person’s information.
   authenticity Authenticity Agent manually authenticates the speaker.
   restart Restart Agent requests to restart the call session, typically when a new person joins during a call. This action does not impact the Web Agent Console, but is reflected in the Gatekeeper web portal (engagement view).
   opt_in OptIn Agent requests to opt-in the person.
   opt_out OptOut Agent requests to opt-out the person.
   suspicious Suspicious Agent flags the call session as suspicious.
   custom_message CustomLogicWebhookMessage Send a custom message to the custom logic webhook.
   group_information GroupInformation Agent submits the group information.
   person_manually_identified PersonManuallyIdentified Agent identifies the group member as the current speaker.
   after_call_work_done AfterCallWorkModeDone Indicates that After-Call Work should exit.

SubmitAgentActionResponse

Output message that defines parameters returned by SubmitAgentAction.

SubmitAgentActionResponse
Field Type Description
status nuance.rpc.Status Mandatory. General operation status.

call_session_manager_messages.proto

AfterCallWorkModeDone

Indicates that After-Call Work should exit. This is ignored if this is sent before AfterCallWorkModeStartEvent or after AfterCallWorkModeEndEvent.

AfterCallWorkModeEndEvent

Indicates that the call is exiting “After-Call Work Mode”.

AfterCallWorkModeStartEvent

Indicates that the call is entering “After-Call Work Mode”. This mode allows the agent to perform actions in the current call session after the call ended. If enabled, the event will be sent before a CtiEvent of CallEventType set to CALL_ENDED.

AfterCallWorkModeStartEvent
Field Type Description
time_left google.protobuf.Duration Mandatory. The maximum amount of time that remains for After-Call Work Mode. Before or at that time, an AfterCallWorkModeEndEvent will be sent. The duration value is greater from zero.

Authenticity

Agent manually authenticates the speaker.

CustomLogicWebhookMessage

Sends a custom message to the custom logic webhook.

CustomLogicWebhookMessage
Field Type Description
payload string Mandatory. An arbitrary string to attach to the custom message. The payload is then available to the webhook in the result.customEventMessage session variable. The payload should not be bigger than one kilobyte.

CustomText

Custom text to display in custom text reserve area.

CustomText
Field Type Description
title TextComponent Optional. The text box title.
text TextComponent Optional. The text box text part.

DecisionCustomText

Decision custom text.

DecisionCustomText
Field Type Description
decision nuance.biosec.v1.Decision Mandatory. Session decision.
decision_label string Optional. The label could be used for localization.
decision_text string Optional. The decision customized text.

DecisionInfo

Factor decision information.

DecisionInfo
Field Type Description
decision nuance.biosec.v1.Decision Mandatory. Biometric factor decision.
decision_reason DecisionReason Mandatory. Biometric factor decision reason.

DetectAudioSpoofingCompletedEvent

Audio spoofing detection results.

DetectAudioSpoofingCompletedEvent
Field Type Description
current_net_audio google.protobuf.Duration Mandatory. Current net audio.
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.
playback_decision DecisionInfo Mandatory. Playback detection results.
synthetic_decision DecisionInfo Mandatory. Synthetic speech detection results.

DetectAudioSpoofingEvent

Audio spoofing detection events.

DetectAudioSpoofingEvent
Field Type Description
One of detect_audio_spoofing_event:  
   started_event bool Audio spoofing detection has started.
   progress_event DetectAudioSpoofingProgressEvent Contains more information about the audio spoofing detection progress.
   completed_event DetectAudioSpoofingCompletedEvent Audio spoofing detection results.

DetectAudioSpoofingProgressEvent

Audio spoofing detection progress events.

DetectAudioSpoofingProgressEvent
Field Type Description
current_net_audio google.protobuf.Duration Mandatory. Current net audio.
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.

DisplayMessage

Displays a message to the agent.

DisplayMessage
Field Type Description
type DisplayMessageType Optional. The message’s type, for example info, warning, and so on.
title_label string Optional. The title’s localization label.
title_text string Mandatory. The title’s non-localized text.
message_label string Optional. The message’s localization label.
message_text string Mandatory. The message’s non-localized text.
disable_actions bool Optional. Disable agent actions in the Web Agent Console (WAC) until the call ends, except for SubmitAgentActionRequest.Restart.
agent_action_to_block repeated AgentActionToBlock Optional. Disable the following specific actions in the WAC. The list overrides any previous blocked actions list.
custom_text CustomText Optional. Custom text to display in custom text reserve area.
decision_custom_text repeated DecisionCustomText Optional. The custom text per decision. Should be passed before decision is determined (e.g. after call start event). For example customized “Match” to “Vendor Match”.

EnrollCompletedEvent

Voiceprint enrollment results.

EnrollCompletedEvent
Field Type Description
enroll_status EnrollStatus Mandatory. Status of the enroll operation.

EnrollConvoprintCompletedEvent

Convoprint enrollment results.

EnrollConvoprintCompletedEvent
Field Type Description
enroll_status EnrollStatus Mandatory. Status of the enroll operation.

EnrollConvoprintEvent

Convoprint enrollment events.

EnrollConvoprintEvent
Field Type Description
One of event:  
   started_event bool Convoprint enrollment has started.
   completed_event EnrollConvoprintCompletedEvent Convoprint enrollment has completed.

EnrollDeviceprintCompletedEvent

Deviceprint enrollment completion results.

EnrollDeviceprintCompletedEvent
Field Type Description
enroll_status EnrollStatus Mandatory. Status of the enroll operation.

EnrollDeviceprintEvent

Deviceprint enrollment results.

EnrollDeviceprintEvent
Field Type Description
One of event:  
Deviceprint enrollment results.
   started_event bool Mandatory. Deviceprint enrollment has started.
   completed_event EnrollDeviceprintCompletedEvent Mandatory. Deviceprint enrollment has completed.

EnrollEvent

Voiceprint enrollment events.

EnrollEvent
Field Type Description
One of enroll_event:  
   started_event bool Voiceprint enrollment has started.
   completed_event EnrollCompletedEvent Voiceprint enrollment has completed.

GroupInformation

The agent uses this message to submit the group identifier.

GroupInformation
Field Type Description
group_id string Mandatory. The external group identifier.

GroupMembersEvent

Provides information about the group members.

GroupMembersEvent
Field Type Description
status GroupMembersStatus Mandatory. The retrieval status code.
group_id string Mandatory. The external Group identifier.
person_ids repeated string Optional. The group members, in the form of external person identifiers. Depending on the value of status, the list may be empty or incomplete.

IdentifyCompletedEvent

Voiceprint identification results.

IdentifyCompletedEvent
Field Type Description
person_id string Mandatory. The identified external person identifier, if identification is successful.
current_net_audio google.protobuf.Duration Mandatory. Current net audio.
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.
decision nuance.biosec.v1.Decision Mandatory. The biometric factor decision.
decision_reason DecisionReason Mandatory. The biometric factor decision reason.

IdentifyConvoprintCompletedEvent

Convoprint identification results.

IdentifyConvoprintCompletedEvent
Field Type Description
person_id string Mandatory. The identified external person identifier, if identification is successful.
decision nuance.biosec.v1.Decision Mandatory. The biometric factor decision.
decision_reason DecisionReason Mandatory. The biometric factor decision reason.

IdentifyConvoprintEvent

Convoprint identification events.

IdentifyConvoprintEvent
Field Type Description
One of event:  
Convoprint identification events.
   started_event bool Identification has started.
   completed_event IdentifyConvoprintCompletedEvent Convoprint identification results.

IdentifyEvent

Voiceprint identification events.

IdentifyEvent
Field Type Description
One of identification_processing_event:  
   started_event bool Identification has started.
   progress_event IdentifyProgressEvent Contains more information about the voiceprint identification progress.
   completed_event IdentifyCompletedEvent Voiceprint identification results.

IdentifyProgressEvent

Voiceprint identification progress events.

IdentifyProgressEvent
Field Type Description
current_net_audio google.protobuf.Duration Mandatory. Current net audio.
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.
current_checkpoint_number int32 Mandatory. The identification checkpoint that has reached.
final_checkpoint_number int32 Mandatory. Last identification checkpoint.

KnownFraudstersDetectionCompletedEvent

Fraudster detection results.

KnownFraudstersDetectionCompletedEvent
Field Type Description
current_net_audio google.protobuf.Duration Mandatory. Current net audio.
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.
decision nuance.biosec.v1.Decision Mandatory. The biometric factor decision.
decision_reason DecisionReason Mandatory. The biometric factor decision reason.

KnownFraudstersDetectionConvoprintCompletedEvent

Convoprint fraudster detection results.

KnownFraudstersDetectionConvoprintCompletedEvent
Field Type Description
decision nuance.biosec.v1.Decision Mandatory. The biometric factor decision.
decision_reason DecisionReason Mandatory. The biometric factor decision reason.

KnownFraudstersDetectionConvoprintEvent

Convoprint fraudster detection related events.

KnownFraudstersDetectionConvoprintEvent
Field Type Description
One of event:  
   started_event bool Fraudster detection has started.
   completed_event KnownFraudstersDetectionConvoprintCompletedEvent Fraudster detection results.

KnownFraudstersDetectionDeviceprintCompletedEvent

KnownFraudstersDetectionDeviceprintCompletedEvent
Field Type Description
decision nuance.biosec.v1.Decision Mandatory. The biometric factor decision.
decision_reason DecisionReason Mandatory. The biometric factor decision reason.

KnownFraudstersDetectionDeviceprintEvent

Deviceprint fraudsters detection results.

KnownFraudstersDetectionDeviceprintEvent
Field Type Description
One of event:  
   started_event bool Text processing has started.
   completed_event KnownFraudstersDetectionDeviceprintCompletedEvent Text processing has completed.

KnownFraudstersDetectionEvent

Fraudster detection related events.

KnownFraudstersDetectionEvent
Field Type Description
One of verify_processing_event:  
   started_event bool Fraudster detection has started.
   progress_event KnownFraudstersDetectionProgressEvent Contains more information about the fraudster detection progress.
   completed_event KnownFraudstersDetectionCompletedEvent Fraudster detection results.

KnownFraudstersDetectionProgressEvent

Fraudster detection progress events.

KnownFraudstersDetectionProgressEvent
Field Type Description
current_net_audio google.protobuf.Duration Mandatory. Current net audio.
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.
current_checkpoint_number int32 Mandatory. The fraud detection checkpoint that has reached.
final_checkpoint_number int32 Mandatory. The last fraud detection checkpoint.
max_net_audio_required google.protobuf.Duration Optional. Maximum net audio required for fraud detection.

OptIn

Agent requests to opt-in the person on the call.

OptInInfo

Opt-in information.

OptInInfo
Field Type Description
timestamp google.protobuf.Timestamp Mandatory. When the person opted-in.

OptOut

Agent requests to opt-out the person on the call.

OptOut
Field Type Description
reason string Mandatory. Opt-out reason for the person as selected by the agent.
opt_out_in_days google.protobuf.Int32Value Mandatory. Amount of days to wait until opt-in can be offered to the customer again, as selected by the agent (the amount of days to wait from opting out).

OptOutInfo

Opt-out information.

OptOutInfo
Field Type Description
timestamp google.protobuf.Timestamp Mandatory. When the person opted-out.
reason string Optional. The provided opt-out reason.
offer_opt_in_time google.protobuf.Timestamp Mandatory. When opt-in can be enabled.
offer_opt_in bool Mandatory. True when opt-out duration has passed.

PersonDisplay

Additional person information that can be displayed to the agent.

PersonDisplay
Field Type Description
display_name string Optional. The text that displays the person’s name to the agent.
additional_information string Optional. Additional information to display related to the person.

PersonInformation

Person information details.

PersonInformation
Field Type Description
person_id string Mandatory. Person’s external identifier, used as a reference in biometrics operations.
first_name string Optional. Person’s first name.
last_name string Optional. Person’s last name.
custom_data repeated PersonInformation.CustomDataEntry Optional. List of custom application data in key-value pairs.

PersonInformation.CustomDataEntry

PersonInformation.CustomDataEntry
Field Type Description
key string  
value string  

PersonManuallyIdentified

The agent uses this message to identify the person in the group that is the current speaker, using a manual process other than voiceprint identification. This can also be sent in MonitorCallSessionResponse if the person is identified by a source other than the agent.

PersonManuallyIdentified
Field Type Description
person_id string Mandatory. The selected external person identifier.

PersonStatusEvent

Provides Person and Voiceprint status details.

PersonStatusEvent
Field Type Description
person_information PersonInformation Mandatory. Person information details.
One of opt_in_out:  
Optional. If the person did not opt-in nor opt-out, none of the options are set.
   opt_in_info OptInInfo Person opted-in.
   opt_out_info OptOutInfo Person opted-out.
enroll_status EnrollStatus Mandatory. Person’s enrollment status.
voice_print_lock_info VoicePrintLockInfo Optional. Person’s voiceprint lock information.
person_display PersonDisplay Optional. Additional display information.

PreviousSessionResult

Results of the previous session in the current engagement.

PreviousSessionResult
Field Type Description
person_id string Mandatory. The identifier of the person that is authenticated or enrolled.
manually_identified bool Mandatory. The person is manually identified (not as a result of voiceprint identification).
previous_session_decision SessionDecisionEvent Optional. The risk-engine decision.
enroll_completed_event EnrollCompletedEvent Optional. The enrollment result.

ProcessAudioCompletedEvent

Audio processing results.

ProcessAudioCompletedEvent
Field Type Description
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.

ProcessAudioDeviceprintCompletedEvent

Deviceprint audio processing completion results.

ProcessAudioDeviceprintCompletedEvent
Field Type Description
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.

ProcessAudioDeviceprintEvent

Deviceprint audio processing results.

ProcessAudioDeviceprintEvent
Field Type Description
One of event:  
   started_event bool Mandatory. Deviceprint audio processing has started.
   completed_event ProcessAudioDeviceprintCompletedEvent Mandatory. Deviceprint audio processing has completed.

ProcessAudioEvent

Audio processing event.

ProcessAudioEvent
Field Type Description
One of process_audio_event:  
   started_event bool Audio processing has started.
   progress_event ProcessAudioProgressEvent Contains more information about the audio processing progress.
   completed_event ProcessAudioCompletedEvent Audio processing has completed.

ProcessAudioProgressEvent

Audio processing progress events.

ProcessAudioProgressEvent
Field Type Description
current_net_audio google.protobuf.Duration Mandatory. Current net audio.
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.
min_net_audio_required google.protobuf.Duration Mandatory. Minimum net audio required for training. The value for this field is expected to be higher or equal to min_net_audio_required_for_enroll field.
min_net_audio_required_for_enroll google.protobuf.Duration Optional. Minimum net audio required for enrollment. The value for this field is expected to be lower or equal to min_net_audio_required field.
max_net_audio_allowed google.protobuf.Duration Mandatory. Maximum net audio required for enrollment.

ProcessTextCompletedEvent

Text processing results.

ProcessTextEvent

Text processing event.

ProcessTextEvent
Field Type Description
One of event:  
   started_event bool Text processing has started.
   completed_event ProcessTextCompletedEvent Text processing has completed.

Restart

Agent requests to restart the call session, typically used when a new person joins the call.

RestartEvent

The requested Restart is performed.

RestartEvent
Field Type Description
re_authentication bool Optional. If true, indicates that the restart is done to perform re-authentication for the same person ID.

SessionDecisionEvent

Risk-engine based session decision event.

SessionDecisionEvent
Field Type Description
decision nuance.biosec.v1.Decision Mandatory. Risk-engine based decision.
decisionReason DecisionReason Mandatory. Biometric decision reason.

Suspicious

Agent flags the call session as suspicious.

Suspicious
Field Type Description
is_suspicious bool Mandatory. Suspicious flag status.
reason string Optional. Suspicious reason for the call as selected by the agent.

TextComponent

Text component definition.

TextComponent
Field Type Description
text string Optional. The text to display.
label string Optional. The label could be used for localization.
bold bool Optional. If true, display as bold.
italic bool Optional. If true, display as italic.
color Color Optional. Color.

TrainCompletedEvent

Voiceprint training results.

TrainCompletedEvent
Field Type Description
train_status nuance.biosec.v1.TrainStatus Mandatory. Status of the training operation.
train_reason nuance.biosec.v1.TrainReason Mandatory. Reason of the status of the training operation.

TrainConvoprintCompletedEvent

Convoprint training results.

TrainConvoprintCompletedEvent
Field Type Description
train_status nuance.biosec.v1.TrainStatus Mandatory. Status of the training operation.
train_reason nuance.biosec.v1.TrainReason Mandatory. Reason of the status of the training operation.

TrainConvoprintEvent

Convoprint training results.

TrainConvoprintEvent
Field Type Description
One of event:  
   started_event bool Convoprint training has started.
   completed_event TrainConvoprintCompletedEvent Convoprint training has completed.

TrainDeviceprintCompletedEvent

Deviceprint training completion results.

TrainDeviceprintCompletedEvent
Field Type Description
train_status nuance.biosec.v1.TrainStatus Mandatory. Status of the training operation.
train_reason nuance.biosec.v1.TrainReason Mandatory. Reason of the status of the training operation.

TrainDeviceprintEvent

Deviceprint training results.

TrainDeviceprintEvent
Field Type Description
One of event:  
   started_event bool Mandatory. Deviceprint training has started.
   completed_event TrainDeviceprintCompletedEvent Mandatory. Deviceprint training has completed.

TrainEvent

Voiceprint training events.

TrainEvent
Field Type Description
One of train_event:  
   started_event bool Voiceprint training has started.
   completed_event TrainCompletedEvent Voiceprint training has completed.

UpdateAgentBlockedActionsEvent

Indicates to the WAC that certain actions should be disabled.

UpdateAgentBlockedActionsEvent
Field Type Description
agent_action_to_block repeated AgentActionToBlock Optional. Disable the following specific actions in the WAC.
agent_action_to_allow repeated AgentActionToBlock Optional. Enable the following specific actions in the WAC. If a value of AgentActionToBlock is listed in both agent_action_to_block and agent_action_to_enable, the action for that value is enabled.

UpdatePersonInformation

The agent uses this message to submit the information of the person on the call.

UpdatePersonInformation
Field Type Description
person_information PersonInformation Mandatory. Person information details.

VerifyCompletedEvent

Voiceprint verification results.

VerifyCompletedEvent
Field Type Description
current_net_audio google.protobuf.Duration Mandatory. Current net audio.
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.
decision nuance.biosec.v1.Decision Mandatory. The biometric factor decision.
decision_reason DecisionReason Mandatory. The biometric factor decision reason.

VerifyConvoprintCompletedEvent

Convoprint verification results.

VerifyConvoprintCompletedEvent
Field Type Description
decision nuance.biosec.v1.Decision Mandatory. The biometric factor decision.
decision_reason DecisionReason Mandatory. The biometric factor decision reason.

VerifyConvoprintEvent

Convoprint verification events.

VerifyConvoprintEvent
Field Type Description
One of event:  
   started_event bool Convoprint verification has started.
   completed_event VerifyConvoprintCompletedEvent Convoprint verification results.

VerifyDeviceprintCompletedEvent

Deviceprint verification completion results.

VerifyDeviceprintCompletedEvent
Field Type Description
decision nuance.biosec.v1.Decision Mandatory. The biometric factor decision.
decision_reason DecisionReason Mandatory. The biometric factor decision reason.

VerifyDeviceprintEvent

Deviceprint verification results.

VerifyDeviceprintEvent
Field Type Description
One of event:  
   started_event bool Mandatory. Deviceprint verification has started.
   completed_event VerifyDeviceprintCompletedEvent Mandatory. Deviceprint verification has completed.

VerifyEvent

Voiceprint verification events.

VerifyEvent
Field Type Description
One of verify_processing_event:  
   started_event bool Voiceprint verification has started.
   progress_event VerifyProgressEvent Contains more information about the voiceprint verification progress.
   completed_event VerifyCompletedEvent Voiceprint verification results.

VerifyProgressEvent

Voiceprint verification progress events.

VerifyProgressEvent
Field Type Description
current_net_audio google.protobuf.Duration Mandatory. Current net audio.
audio_validity nuance.biosec.v1.AudioValidity Mandatory. Validity of the audio used for the operation.
current_checkpoint_number int32 Mandatory. The verification checkpoint that is reached.
final_checkpoint_number int32 Mandatory. Last verification checkpoint.

VoicePrintLockInfo

Person’s voiceprint lock information.

VoicePrintLockInfo
Field Type Description
locked bool Mandatory. Person’s voiceprint lock status.
locked_by string Optional. User that locked this person’s voiceprint.
reason string Optional. Voiceprint lock reason text.
mismatch_counter google.protobuf.Int32Value Optional. Mismatch counter that triggers locking the voiceprint.
timestamp google.protobuf.Timestamp Optional. Voiceprint lock timestamp.
lock_reason nuance.biosec.v1.LockReason Optional. Specifies the standard locking reason.

call_session_manager_enums.proto

AgentActionToBlock

Specifies agent actions that should be blocked.

Name Number Description
AGENT_ACTION_TO_BLOCK_NONE 0 Action not set
AGENT_ACTION_TO_BLOCK_RESTART 1 Block the restart audio action
AGENT_ACTION_TO_BLOCK_SUSPICIUS 2 Block the suspicius action
AGENT_ACTION_TO_BLOCK_UPDATE_PERSON_INFORMATION 3 Block the update person action
AGENT_ACTION_TO_BLOCK_OPT_IN 4 Block the opt-in action
AGENT_ACTION_TO_BLOCK_OPT_OUT 5 Block the opt-out action
AGENT_ACTION_TO_BLOCK_AUTHENTICITY 6 Block the authenticity action
AGENT_ACTION_TO_BLOCK_CUSTOM_MESSAGE 7 Block the custom message action
AGENT_ACTION_TO_BLOCK_GROUP_INFORMATION 8 Block the group information action
AGENT_ACTION_TO_BLOCK_PERSON_MANUALLY_IDENTIFIED 9 Block the person manually identified action

Color

Name Number Description
COLOR_UNSPECIFIED 0 Color not set
COLOR_PRIMARY 1 Primary mapped to blue color
COLOR_SECONDARY 2 Secondary mapped to gray color
COLOR_SUCCESS 3 Success is mapped to green color
COLOR_DANGER 4 Danger is mapped to red color
COLOR_WARNING 5 Warning is mapped to yellow color
COLOR_INFO 6 Info is mapped to light blue color
COLOR_LIGHT 7 Light is mapped to white color
COLOR_DARK 8 Dark is mapped to black color

DecisionReason

Decision reason for voiceprint, convoprint, and audio spoofing biometric factors.

Name Number Description
DECISION_REASON_UNSPECIFIED 0 Decision reason is not specified (all factors).
DECISION_REASON_INTERNAL_ERROR 1 An error occurred while making the decision (all factors).
DECISION_REASON_AUDIO_OK 2 Audio is valid (voiceprint, deviceprint and audio spoofing factors).
DECISION_REASON_NOT_ENOUGH_AUDIO 3 Processing requires more audio segments than provided (voiceprint, deviceprint and audio spoofing factors).
DECISION_REASON_INVALID_AUDIO 4 Audio format is invalid or not supported (voiceprint and audio spoofing factors).
DECISION_REASON_AUDIO_TOO_SHORT 5 Audio does not contain the amount of speech required to complete the process (voiceprint, deviceprint and audio spoofing factors).
DECISION_REASON_AUDIO_TOO_SOFT 6 Audio speech level is lower than the level required to complete the process (voiceprint, deviceprint and audio spoofing factors).
DECISION_REASON_AUDIO_TOO_LOUD 7 Audio is too loud and causes saturation (voiceprint, deviceprint and audio spoofing factors).
DECISION_REASON_AUDIO_TOO_NOISY 8 Audio SNR (Signal to Noise Ratio) is too low (voiceprint, deviceprint and audio spoofing factors).
DECISION_REASON_MULTI_SPEAKERS_DETECTED 9 Multiple speakers are detected (not supported).
DECISION_REASON_SYNTHETIC_SPEECH_DETECTED 10 Synthetic speech is detected (audio spoofing factor).
DECISION_REASON_PLAYBACK_INDICATION 11 Playback is detected (audio spoofing factor).
DECISION_REASON_TONE_DETECTED 12 Tone is detected (not supported).
DECISION_REASON_WRONG_PASSPHRASE 13 Wrong passphrase is used (not supported).
DECISION_REASON_FRAUDSTER_INDICATION 14 A fraud attempt probably occurred (voiceprint, deviceprint and convoprint factors).
DECISION_REASON_VOICEPRINT_MATCH 15 This is probably an authentic person (voiceprint factor).
DECISION_REASON_VOICEPRINT_MISMATCH 16 This is probably not an authentic person (voiceprint factor).
DECISION_REASON_VOICEPRINT_UNCERTAIN 17 Could not determine if this is the authentic person (voiceprint factor).
DECISION_REASON_UNRELIABLE_DECISION_THRESHOLDS 18 The system could not reach a reliable decision (audio, deviceprint spoofing factos).
DECISION_REASON_TEXT_OK 19 Text is valid (convoprint factor).
DECISION_REASON_INVALID_TEXT 20 Text format is invalid or not supported (convoprint factor).
DECISION_REASON_CONVOPRINT_MATCH 21 This is probably the authentic person (convoprint factor).
DECISION_REASON_CONVOPRINT_NO_MATCH 22 This is probably not the authentic person (convoprint factor).
DECISION_REASON_CONVOPRINT_UNCERTAIN 23 Could not determine if this is the authentic person (convoprint factor).
DECISION_REASON_NO_RISK_DETECTED 24 Risk is not detected (convoprint, deviceprint factors).
DECISION_REASON_NO_SCORES 25 No available scores (convoprint, deviceprint factors).
DECISION_REASON_DEVICEPRINT_MATCH 26 This is probably the authentic person (deviceprint factor).
DECISION_REASON_DEVICEPRINT_NO_MATCH 27 This is probably not the authentic person (deviceprint factor).

DisplayMessageType

Specified the type of message to display to the agent.

Name Number Description
DISPLAY_MESSAGE_TYPE_UNSPECIFIED 0 Message type not set.
DISPLAY_MESSAGE_TYPE_INFO 1 An informational message.
DISPLAY_MESSAGE_TYPE_WARNING 2 A warning.
DISPLAY_MESSAGE_TYPE_ERROR 3 An error.

EnrollStatus

Specifies the current enrollment status of a person’s voiceprint.

Name Number Description
ENROLL_STATUS_UNSPECIFIED 0 Enroll status is not set.
ENROLL_STATUS_READY 1 Ready for enrollment.
ENROLL_STATUS_TRAINED 2 Ready for verification.
ENROLL_STATUS_PARTIALLY_ENROLLED 3 Missing additional audio segments.
ENROLL_STATUS_NOT_ENROLLED 4 Not enrolled.

GroupMembersStatus

Specifies the result status code of retrieving group member information.

Name Number Description
GROUP_MEMBERS_STATUS_UNSPECIFIED 0 Group member status unspecified.
GROUP_MEMBERS_STATUS_OK 1 Group members are successfully retrieved.
GROUP_MEMBERS_STATUS_INTERNAL_ERROR 2 There is an internal error retrieving the group members.
GROUP_MEMBERS_STATUS_NOT_FOUND 3 The external group identifier is not found.
GROUP_MEMBERS_STATUS_TOO_BIG 4 There are too many group members. The member list may be incomplete.